Subject: mission impossible - possible?
From: "Mike" <[email-masked]>
To: "Mike Wagner - Gee" <[email-masked]>
Date: Fri, 18 Jul 2008 17:21:17 -0400

Mike,
We got it done.  I was on the phone with Stephen for about 2 hours and 15 minutes.  He was taking other calls at the same time with me and literally put me on hold 13 times (I counted) during the duration.  One time I was on hold for almost 10 minutes.  So needless to say, they need to make some improvements in how they handle their calls or at least hire more people to take calls.  I have one small thing that needs to be remedied which I can take care of on Tuesday.  Just thought I'd give you the skinny on how it went down.  I hope that never has to happen like that again.  Thank you for your help.
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]